/**
 * EntityClassManufacturedMaterial2.java
 *
 * File generated from the medication2::EntityClassManufacturedMaterial2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassManufacturedMaterial2.
 *
 * 
 */

@XmlType(name = "EntityClassManufacturedMaterial")
@XmlEnum
@XmlRootElement(name = "EntityClassManufacturedMaterial2")
public enum EntityClassManufacturedMaterial2 {
	@XmlEnumValue("MMAT")
	MMAT("MMAT"),
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("HOLD")
	HOLD("HOLD"),
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("CER")
	CER("CER"),
	@XmlEnumValue("MODDV")
	MODDV("MODDV");
	
	private final String value;

    EntityClassManufacturedMaterial2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassManufacturedMaterial2 fromValue(String v) {
        for (EntityClassManufacturedMaterial2 c: EntityClassManufacturedMaterial2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
